package com.ruoyi.biemo.mongodb.bean;

import java.util.Collections;
import java.util.List;


/**
 * 分页类
 *
 */
public class Page<T> {
	Long count = 0l;
	Integer curr = 1;
	Integer limit = 10;

	Boolean queryCount = true;

	List<T> list = Collections.emptyList();


	public Boolean getQueryCount() {
		return queryCount;
	}

	public void setQueryCount(Boolean queryCount) {
		this.queryCount = queryCount;
	}

	public List<T> getList() {
		return list;
	}

	public void setList(List<T> list) {
		this.list = list;
	}

	public Long getCount() {
		return count;
	}

	public void setCount(Long count) {
		this.count = count;
	}

	public Integer getCurr() {
		return curr;
	}

	public void setCurr(Integer curr) {
		this.curr = curr;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

}
